Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Payment links retrieved successfully",
"data": [
{
"id": "<string>",
"shortCode": "<string>",
"url": "<payment-link-url>/abc123",
"name": "<string>",
"type": "standard",
"pricing": {
"type": "fixed",
"currency": "KES",
"referenceCurrency": "KES",
"amount": 123,
"minAmount": 123,
"maxAmount": 123,
"packages": [
{
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "KES",
"description": "<string>"
}
]
},
"enabledPaymentMethods": [
"mobile_money"
],
"usageType": "single_use",
"currentUses": 123,
"isActive": true,
"collectCustomerInfo": {
"email": "required",
"phone": "required",
"name": "required",
"address": "required"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"paymentMethodConfig": {
"mobileMoneyProviders": [
"<string>"
],
"mobileMoneyCurrencies": [
"KES",
"GHS"
],
"mobileMoneyCountries": [
"<string>"
],
"supportedCurrencies": [
"<string>"
],
"cryptoNetworks": [
"<string>"
],
"cryptoCurrencies": [
"USDT",
"USDC"
],
"cardCurrencies": [
"<string>"
],
"cardCountries": [
"<string>"
],
"bankCurrencies": [
"<string>"
],
"bankCountries": [
"<string>"
]
},
"maxUses": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"afterPayment": {
"type": "message",
"message": "<string>",
"redirectUrl": "https://yourdomain.com/thank-you"
},
"branding": {
"logoUrl": "https://yourdomain.com/logo.png",
"primaryColor": "#0084FF",
"backgroundColor": "#FFFFFF"
},
"qrCodeUrl": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
],
"total": 1,
"limit": 20,
"offset": 0
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Payment Links
List Payment Links
GET
/
api
/
v3
/
payment-links
Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Payment links retrieved successfully",
"data": [
{
"id": "<string>",
"shortCode": "<string>",
"url": "<payment-link-url>/abc123",
"name": "<string>",
"type": "standard",
"pricing": {
"type": "fixed",
"currency": "KES",
"referenceCurrency": "KES",
"amount": 123,
"minAmount": 123,
"maxAmount": 123,
"packages": [
{
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "KES",
"description": "<string>"
}
]
},
"enabledPaymentMethods": [
"mobile_money"
],
"usageType": "single_use",
"currentUses": 123,
"isActive": true,
"collectCustomerInfo": {
"email": "required",
"phone": "required",
"name": "required",
"address": "required"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"paymentMethodConfig": {
"mobileMoneyProviders": [
"<string>"
],
"mobileMoneyCurrencies": [
"KES",
"GHS"
],
"mobileMoneyCountries": [
"<string>"
],
"supportedCurrencies": [
"<string>"
],
"cryptoNetworks": [
"<string>"
],
"cryptoCurrencies": [
"USDT",
"USDC"
],
"cardCurrencies": [
"<string>"
],
"cardCountries": [
"<string>"
],
"bankCurrencies": [
"<string>"
],
"bankCountries": [
"<string>"
]
},
"maxUses": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"afterPayment": {
"type": "message",
"message": "<string>",
"redirectUrl": "https://yourdomain.com/thank-you"
},
"branding": {
"logoUrl": "https://yourdomain.com/logo.png",
"primaryColor": "#0084FF",
"backgroundColor": "#FFFFFF"
},
"qrCodeUrl": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
],
"total": 1,
"limit": 20,
"offset": 0
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}List your payment links with pagination, filterable by type, active status, and a free-text search across name/description.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
standard, invoice, donation